Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
Java Dataspace (H5S) Interface

## Detailed Description

See also
  Dataspaces (H5S), C-API
  Dataspaces and Partial I/O, User Guide

## Functions
static int | H5Sclose (long space_id) throws HDF5LibraryException
static synchronized native long | H5Scombine_hyperslab (long space_id, int op, long[] start, long[] stride, long[] count, long[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native long | H5Scombine_select (long space1_id, int op, long space2_id) throws HDF5LibraryException
static long | H5Scopy (long space_id) throws HDF5LibraryException
static long | H5Screate (int type) throws HDF5LibraryException
static long | H5Screate_simple (int rank, long[] dims, long[] maxdims) throws HDF5Exception, NullPointerException
static synchronized native long | H5Sdecode (byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native byte[] | H5Sencode (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sextent_copy (long dest_space_id, long source_space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sextent_equal (long first_space_id, long second_space_id) throws HDF5LibraryException
static synchronized native void | H5Sget_regular_hyperslab (long space_id, long[] start, long[] stride, long[] count, long[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Sget_select_bounds (long space_id, long[] start, long[] end) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Sget_select_elem_npoints (long spaceid) throws HDF5LibraryException
static synchronized native int | H5Sget_select_elem_pointlist (long spaceid, long startpoint, long numpoints, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sget_select_hyper_blocklist (long spaceid, long startblock, long numblocks, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Sget_select_hyper_nblocks (long spaceid) throws HDF5LibraryException
static synchronized native long | H5Sget_select_npoints (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sget_select_type (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sget_simple_extent_dims (long space_id, long[] dims, long[] maxdims) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sget_simple_extent_ndims (long space_id) throws HDF5LibraryException
static synchronized native long | H5Sget_simple_extent_npoints (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sget_simple_extent_type (long space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sis_regular_hyperslab (long space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sis_simple (long space_id) throws HDF5LibraryException
static synchronized native void | H5Smodify_select (long space1_id, int op, long space2_id) throws HDF5LibraryException
static synchronized native int | H5Soffset_simple (long space_id, byte[] offset) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Soffset_simple (long space_id, long[] offset) throws HDF5Exception, NullPointerException
static synchronized native void | H5Sselect_adjust (long space_id, long[][] offset) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sselect_all (long space_id) throws HDF5LibraryException
static synchronized native void | H5Sselect_copy (long dst_id, long src_id) throws HDF5LibraryException
static synchronized int | H5Sselect_elements (long space_id, int op, int num_elements, long[][] coord2D) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Sselect_hyperslab (long space_id, int op, byte[] start, byte[] stride, byte[] count, byte[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Sselect_hyperslab (long space_id, int op, long[] start, long[] stride, long[] count, long[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native boolean | H5Sselect_intersect_block (long space_id, long[] start, long[] end) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sselect_none (long space_id) throws HDF5LibraryException
static synchronized native long | H5Sselect_project_intersection (long src_space_id, long dst_space_id, long src_intersect_space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sselect_shape_same (long space1_id, long space2_id) throws HDF5LibraryException
static synchronized native boolean | H5Sselect_valid (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sset_extent_none (long space_id) throws HDF5LibraryException
static synchronized long | H5Sset_extent_simple (long space_id, int rank, byte[] current_size, byte[] maximum_size) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Sset_extent_simple (long space_id, int rank, long[] current_size, long[] maximum_size) throws HDF5LibraryException, NullPointerException

## Function Documentation

## ◆ H5Sclose()

int H5Sclose | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sclose releases a dataspace.

Parameters

  space_id | Identifier of dataspace to release.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Scombine_hyperslab()

synchronized native long H5Scombine_hyperslab | ( | long | space_id,
|  | int | op,
|  | long[] | start,
|  | long[] | stride,
|  | long[] | count,
|  | long[] | block ) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
| static

H5Scombine_hyperslab combines a hyperslab selection with the current selection for a dataspace, creating a new dataspace to return the generated selection. If the current selection is not a hyperslab, it is freed and the hyperslab parameters passed in are combined with the H5S_SEL_ALL hyperslab (ie. a selection composing the entire current extent). If STRIDE or BLOCK is NULL, they are assumed to be set to all '1'.

Parameters

  space_id | IN: Dataspace ID of selection to use
  op | IN: Operation to perform on current selection.
  start | IN: Offset of start of hyperslab
  stride | IN: Hyperslab stride.
  count | IN: Number of blocks included in hyperslab.
  block | IN: Size of block in hyperslab.

Returns
  a dataspace ID on success / H5I_INVALID_HID on failure

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | an input array is null.
  IllegalArgumentException | an input array is invalid.

## ◆ H5Scombine_select()

synchronized native long H5Scombine_select | ( | long | space1_id,
|  | int | op,
|  | long | space2_id ) throws HDF5LibraryException
| static

H5Scombine_select combines two existing hyperslab selections with an operation, returning a new dataspace with the resulting selection. The dataspace extent from space1 is copied for the dataspace extent of the newly created dataspace.

Parameters

  space1_id | ID of the first dataspace
  op | Operation to perform on current selection.
  space2_id | ID of the second dataspace

Returns
  a dataspace ID on success / H5I_INVALID_HID on failure

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Scopy()

long H5Scopy | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Scopy creates a new dataspace which is an exact copy of the dataspace identified by space_id.

Parameters

  space_id | Identifier of dataspace to copy.

Returns
  a dataspace identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Screate()

long H5Screate | ( | int | type | ) | throws HDF5LibraryException
| static

H5Screate creates a new dataspace of a particular type.

Parameters

  type | IN: The type of dataspace to be created.

Returns
  a dataspace identifier

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Screate_simple()

long H5Screate_simple | ( | int | rank,
|  | long[] | dims,
|  | long[] | maxdims ) throws HDF5Exception, NullPointerException
| static

H5Screate_simple creates a new simple data space and opens it for access.

Parameters

  rank | IN: Number of dimensions of dataspace.
  dims | IN: An array of the size of each dimension.
  maxdims | IN: An array of the maximum size of each dimension.

Returns
  a dataspace identifier

Exceptions

  HDF5Exception | Error from the HDF5 Library.
  NullPointerException | dims or maxdims is null.

## ◆ H5Sdecode()

synchronized native long H5Sdecode | ( | byte[] | buf | ) | throws HDF5LibraryException, NullPointerException
| static

H5Sdecode reconstructs the HDF5 data space object and returns a new object handle for it.

Parameters

  buf | IN: Buffer for the data space object to be decoded.

Returns
  a new object handle

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Sencode()

synchronized native byte[] H5Sencode | ( | long | obj_id | ) | throws HDF5LibraryException, NullPointerException
| static

H5Sencode converts a data space description into binary form in a buffer.

Parameters

  obj_id | IN: Identifier of the object to be encoded.

Returns
  the buffer for the object to be encoded into.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sextent_copy()

synchronized native int H5Sextent_copy | ( | long | dest_space_id,
|  | long | source_space_id ) throws HDF5LibraryException
| static

H5Sextent_copy copies the extent from source_space_id to dest_space_id. This action may change the type of the dataspace.

Parameters

  dest_space_id | IN: The identifier for the dataspace from which the extent is copied.
  source_space_id | IN: The identifier for the dataspace to which the extent is copied.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sextent_equal()

synchronized native boolean H5Sextent_equal | ( | long | first_space_id,
|  | long | second_space_id ) throws HDF5LibraryException
| static

H5Sextent_equal determines whether the dataspace extents of two dataspaces, space1_id and space2_id, are equal.

Parameters

  first_space_id | IN: The identifier for the first dataspace.
  second_space_id | IN: The identifier for the seconddataspace.

Returns
  true if successful, else false

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_regular_hyperslab()

synchronized native void H5Sget_regular_hyperslab | ( | long | space_id,
|  | long[] | start,
|  | long[] | stride,
|  | long[] | count,
|  | long[] | block ) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
| static

H5Sget_regular_hyperslab determines if a hyperslab selection is regular for the dataspace specified by space_id. The start, stride, count, and block arrays must be the same size as the rank of the dataspace.

Parameters

  space_id | IN: Identifier of dataspace selection to modify
  start | OUT: Offset of start of hyperslab
  stride | OUT: Hyperslab stride.
  count | OUT: Number of blocks included in hyperslab.
  block | OUT: Size of block in hyperslab.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | an output array is null.
  IllegalArgumentException | an output array is invalid.

## ◆ H5Sget_select_bounds()

synchronized native int H5Sget_select_bounds | ( | long | space_id,
|  | long[] | start,
|  | long[] | end ) throws HDF5LibraryException, NullPointerException
| static

H5Sget_select_bounds retrieves the coordinates of the bounding box containing the current selection and places them into user-supplied buffers.

The start and end buffers must be large enough to hold the dataspace rank number of coordinates.

Parameters

  space_id | Identifier of dataspace to release.
  start | coordinates of lowest corner of bounding box.
  end | coordinates of highest corner of bounding box.

Returns
  a non-negative value if successful,with start and end initialized.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | start or end is null.

## ◆ H5Sget_select_elem_npoints()

synchronized native long H5Sget_select_elem_npoints | ( | long | spaceid | ) | throws HDF5LibraryException
| static

H5Sget_select_elem_npoints returns the number of element points in the current dataspace selection.

Parameters

  spaceid | Identifier of dataspace to release.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_select_elem_pointlist()

synchronized native int H5Sget_select_elem_pointlist | ( | long | spaceid,
|  | long | startpoint,
|  | long | numpoints,
|  | long[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Sget_select_elem_pointlist returns an array of of element points in the current dataspace selection. The point coordinates have the same dimensionality (rank) as the dataspace they are located within, one coordinate per point.

Parameters

  spaceid | Identifier of dataspace to release.
  startpoint | first point to retrieve
  numpoints | number of points to retrieve
  buf | returns points startblock to startblock+num-1, each points is rank longs.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Sget_select_hyper_blocklist()

synchronized native int H5Sget_select_hyper_blocklist | ( | long | spaceid,
|  | long | startblock,
|  | long | numblocks,
|  | long[] | buf ) throws HDF5LibraryException, NullPointerException
| static

H5Sget_select_hyper_blocklist returns an array of hyperslab blocks. The block coordinates have the same dimensionality (rank) as the dataspace they are located within. The list of blocks is formatted as follows:

       <"start" coordinate>, immediately followed by
       <"opposite" corner coordinate>, followed by
      the next "start" and "opposite" coordinates,
      etc.
      until all of the selected blocks have been listed.

Parameters

  spaceid | Identifier of dataspace to release.
  startblock | first block to retrieve
  numblocks | number of blocks to retrieve
  buf | returns blocks startblock to startblock+num-1, each block is rank * 2 (corners) longs.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | buf is null.

## ◆ H5Sget_select_hyper_nblocks()

synchronized native long H5Sget_select_hyper_nblocks | ( | long | spaceid | ) | throws HDF5LibraryException
| static

H5Sget_select_hyper_nblocks returns the number of hyperslab blocks in the current dataspace selection.

Parameters

  spaceid | Identifier of dataspace to release.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_select_npoints()

synchronized native long H5Sget_select_npoints | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sget_select_npoints determines the number of elements in the current selection of a dataspace.

Parameters

  space_id | IN: Identifier of the dataspace object to query

Returns
  the number of elements in the selection if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_select_type()

synchronized native int H5Sget_select_type | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sget_select_type retrieves the type of selection currently defined for the dataspace space_id.

Parameters

  space_id | IN: Identifier of the dataspace object to query

Returns
  the dataspace selection type if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_simple_extent_dims()

synchronized native int H5Sget_simple_extent_dims | ( | long | space_id,
|  | long[] | dims,
|  | long[] | maxdims ) throws HDF5LibraryException, NullPointerException
| static

H5Sget_simple_extent_dims returns the size and maximum sizes of each dimension of a dataspace through the dims and maxdims parameters.

Parameters

  space_id | IN: Identifier of the dataspace object to query
  dims | OUT: Pointer to array to store the size of each dimension.
  maxdims | OUT: Pointer to array to store the maximum size of each dimension.

Returns
  the number of dimensions in the dataspace if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | dims or maxdims is null.

## ◆ H5Sget_simple_extent_ndims()

synchronized native int H5Sget_simple_extent_ndims | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sget_simple_extent_ndims determines the dimensionality (or rank) of a dataspace.

Parameters

  space_id | IN: Identifier of the dataspace

Returns
  the number of dimensions in the dataspace if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_simple_extent_npoints()

synchronized native long H5Sget_simple_extent_npoints | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sget_simple_extent_npoints determines the number of elements in a dataspace.

Parameters

  space_id | ID of the dataspace object to query

Returns
  the number of elements in the dataspace if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sget_simple_extent_type()

synchronized native int H5Sget_simple_extent_type | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sget_simple_extent_type queries a dataspace to determine the current class of a dataspace.

Parameters

  space_id | Dataspace identifier.

Returns
  a dataspace class name if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sis_regular_hyperslab()

synchronized native boolean H5Sis_regular_hyperslab | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sis_regular_hyperslab retrieves a regular hyperslab selection for the dataspace specified by space_id.

Parameters

  space_id | IN: Identifier of dataspace selection to query

Returns
  a TRUE/FALSE for hyperslab selection if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sis_simple()

synchronized native boolean H5Sis_simple | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sis_simple determines whether a dataspace is a simple dataspace.

Parameters

  space_id | Identifier of the dataspace to query

Returns
  true if is a simple dataspace

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Smodify_select()

synchronized native void H5Smodify_select | ( | long | space1_id,
|  | int | op,
|  | long | space2_id ) throws HDF5LibraryException
| static

H5Smodify_select refine an existing hyperslab selection with an operation, using a second hyperslab. The first selection is modified to contain the result of space1 operated on by space2.

Parameters

  space1_id | ID of the destination dataspace
  op | Operation to perform on current selection.
  space2_id | ID of the source dataspace

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Soffset_simple() [1/2]

synchronized native int H5Soffset_simple | ( | long | space_id,
|  | byte[] | offset ) throws HDF5LibraryException, NullPointerException
| static

H5Soffset_simple sets the offset of a simple dataspace space_id.

Parameters

  space_id | IN: The identifier for the dataspace object to reset.
  offset | IN: The offset at which to position the selection.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | offset array is null.

## ◆ H5Soffset_simple() [2/2]

synchronized int H5Soffset_simple | ( | long | space_id,
|  | long[] | offset ) throws HDF5Exception, NullPointerException
| static

H5Soffset_simple sets the offset of a simple dataspace space_id.

Parameters

  space_id | IN: The identifier for the dataspace object to reset.
  offset | IN: The offset at which to position the selection.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | offset array is null.

## ◆ H5Sselect_adjust()

synchronized native void H5Sselect_adjust | ( | long | space_id,
|  | long | offset[][] ) throws HDF5LibraryException, NullPointerException
| static

H5Sselect_adjust moves a selection by subtracting an offset from it.

Parameters

  space_id | ID of dataspace to adjust
  offset | Offset to subtract

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | offset is null.

## ◆ H5Sselect_all()

synchronized native int H5Sselect_all | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sselect_all selects the entire extent of the dataspace space_id.

Parameters

  space_id | IN: The identifier of the dataspace to be selected.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sselect_copy()

synchronized native void H5Sselect_copy | ( | long | dst_id,
|  | long | src_id ) throws HDF5LibraryException
| static

H5Sselect_copy copies all the selection information (including offset) from the source dataspace to the destination dataspace.

Parameters

  dst_id | ID of the destination dataspace
  src_id | ID of the source dataspace

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sselect_elements()

synchronized int H5Sselect_elements | ( | long | space_id,
|  | int | op,
|  | int | num_elements,
|  | long | coord2D[][] ) throws HDF5Exception, HDF5LibraryException, NullPointerException
| static

H5Sselect_elements selects array elements to be included in the selection for the space_id dataspace.

Parameters

  space_id | Identifier of the dataspace.
  op | operator specifying how the new selection is combined.
  num_elements | Number of elements to be selected.
  coord2D | A 2-dimensional array specifying the coordinates of the elements.

Returns
  a non-negative value if successful

Exceptions

  HDF5Exception | Error in the data conversion
  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | cord array is

## ◆ H5Sselect_hyperslab() [1/2]

synchronized int H5Sselect_hyperslab | ( | long | space_id,
|  | int | op,
|  | byte[] | start,
|  | byte[] | stride,
|  | byte[] | count,
|  | byte[] | block ) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
| static

H5Sselect_hyperslab selects a hyperslab region to add to the current selected region for the dataspace specified by space_id. The start, stride, count, and block arrays must be the same size as the rank of the dataspace.

Parameters

  space_id | IN: Identifier of dataspace selection to modify
  op | IN: Operation to perform on current selection.
  start | IN: Offset of start of hyperslab
  stride | IN: Hyperslab stride.
  count | IN: Number of blocks included in hyperslab.
  block | IN: Size of block in hyperslab.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | an input array is null.
  IllegalArgumentException | an input array is invalid.

## ◆ H5Sselect_hyperslab() [2/2]

synchronized native int H5Sselect_hyperslab | ( | long | space_id,
|  | int | op,
|  | long[] | start,
|  | long[] | stride,
|  | long[] | count,
|  | long[] | block ) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
| static

H5Sselect_hyperslab selects a hyperslab region to add to the current selected region for the dataspace specified by space_id. The start, stride, count, and block arrays must be the same size as the rank of the dataspace.

Parameters

  space_id | IN: Identifier of dataspace selection to modify
  op | IN: Operation to perform on current selection.
  start | IN: Offset of start of hyperslab
  stride | IN: Hyperslab stride.
  count | IN: Number of blocks included in hyperslab.
  block | IN: Size of block in hyperslab.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | an input array is null.
  IllegalArgumentException | an input array is invalid.

## ◆ H5Sselect_intersect_block()

synchronized native boolean H5Sselect_intersect_block | ( | long | space_id,
|  | long[] | start,
|  | long[] | end ) throws HDF5LibraryException, NullPointerException
| static

H5Sselect_intersect_block checks to see if the current selection in the dataspace intersects with the block given.

Parameters

  space_id | ID of dataspace pointer to compare
  start | Starting coordinate of block
  end | Opposite ("ending") coordinate of block

Returns
  a TRUE if the current selection in the dataspace intersects with the block given FALSE otherwise

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | offset is null.

## ◆ H5Sselect_none()

synchronized native int H5Sselect_none | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sselect_none resets the selection region for the dataspace space_id to include no elements.

Parameters

  space_id | IN: The identifier of the dataspace to be reset.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sselect_project_intersection()

synchronized native long H5Sselect_project_intersection | ( | long | src_space_id,
|  | long | dst_space_id,
|  | long | src_intersect_space_id ) throws HDF5LibraryException
| static

H5Sselect_project_intersection projects the intersection of the selections of src_space_id and src_intersect_space_id within the selection of src_space_id as a selection within the selection of dst_space_id.

Parameters

  src_space_id | Selection that is mapped to dst_space_id, and intersected with src_intersect_space_id
  dst_space_id | Selection that is mapped to src_space_id
  src_intersect_space_id | Selection whose intersection with src_space_id is projected to dst_space_id to obtain the result

Returns
  a dataspace with a selection equal to the intersection of src_intersect_space_id and src_space_id projected from src_space to dst_space on success

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sselect_shape_same()

synchronized native boolean H5Sselect_shape_same | ( | long | space1_id,
|  | long | space2_id ) throws HDF5LibraryException
| static

H5Sselect_shape_same checks to see if the current selection in the dataspaces are the same dimensionality and shape. This is primarily used for reading the entire selection in one swoop.

Parameters

  space1_id | ID of 1st Dataspace pointer to compare
  space2_id | ID of 2nd Dataspace pointer to compare

Returns
  true if the selection is the same dimensionality and shape; false otherwise

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sselect_valid()

synchronized native boolean H5Sselect_valid | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sselect_valid verifies that the selection for the dataspace.

Parameters

  space_id | The identifier for the dataspace in which the selection is being reset.

Returns
  true if the selection is contained within the extent and FALSE if it is not or is an error.

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sset_extent_none()

synchronized native int H5Sset_extent_none | ( | long | space_id | ) | throws HDF5LibraryException
| static

H5Sset_extent_none removes the extent from a dataspace and sets the type to H5S_NONE.

Parameters

  space_id | The identifier for the dataspace from which the extent is to be removed.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sset_extent_simple() [1/2]

synchronized long H5Sset_extent_simple | ( | long | space_id,
|  | int | rank,
|  | byte[] | current_size,
|  | byte[] | maximum_size ) throws HDF5LibraryException, NullPointerException
| static

H5Sset_extent_simple sets or resets the size of an existing dataspace.

Parameters

  space_id | Dataspace identifier.
  rank | Rank, or dimensionality, of the dataspace.
  current_size | Array containing current size of dataspace.
  maximum_size | Array containing maximum size of dataspace.

Returns
  a dataspace identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.

## ◆ H5Sset_extent_simple() [2/2]

synchronized native long H5Sset_extent_simple | ( | long | space_id,
|  | int | rank,
|  | long[] | current_size,
|  | long[] | maximum_size ) throws HDF5LibraryException, NullPointerException
| static

H5Sset_extent_simple sets or resets the size of an existing dataspace.

Parameters

  space_id | Dataspace identifier.
  rank | Rank, or dimensionality, of the dataspace.
  current_size | Array containing current size of dataspace.
  maximum_size | Array containing maximum size of dataspace.

Returns
  a dataspace identifier if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.